
From: Hugh Dickins <hugh@veritas.com>

Update swap extents comment: nowadays we guard with S_SWAPFILE not i_sem.

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/swapfile.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swapfile.c~swap-update-swapfile-i_sem-comment mm/swapfile.c
--- devel/mm/swapfile.c~swap-update-swapfile-i_sem-comment	2005-07-08 22:34:37.000000000 -0700
+++ devel-akpm/mm/swapfile.c	2005-07-08 22:34:37.000000000 -0700
@@ -926,7 +926,7 @@ add_swap_extent(struct swap_info_struct 
  * requirements, they are simply tossed out - we will never use those blocks
  * for swapping.
  *
- * For S_ISREG swapfiles we hold i_sem across the life of the swapon.  This
+ * For S_ISREG swapfiles we set S_SWAPFILE across the life of the swapon.  This
  * prevents root from shooting her foot off by ftruncating an in-use swapfile,
  * which will scribble on the fs.
  *
_
